%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Beschreibung: Plot of selected variables            %
% Verfasser:    Buchholz, Oleg                        %
% Version:      16.06.2012                            %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

close all;   % closes all opened windows

%% 3-phase currents
fig_i_abc = figure('NumberTitle','off','name','motor currents i_{abc}');
            subplot(2,1,1);	
                plot(t,n_me(:,1));
                title('mechanical speed')
                ylabel('\omega_{me} / min^{-1}');
				grid on; zoom on;
                hold on;
                
            subplot(2,1,2);
                plot(t,i_abc(:,1), t,i_abc(:,2), t,i_abc(:,3));
                title('3-phase motor currents')
                legend('i_{s,a}', 'i_{s,b}', 'i_{s,c}');
                ylabel('i_s / A')
                xlabel('t / s');
                grid on; zoom on;

%% Darstellung des Statorfluss- und Drehmomentbandes            
fig_torque = figure('NumberTitle','off','name','motor torque');
            subplot(2,1,1);
                plot(t,T_soll(:,1),t,hyster_T_oben(:,1),t,hyster_T_unten(:,1),t,T_est(:,1));
				title('hysteresis control of the torque')
                legend('T^*', 'upper limit', 'lower limit', 'T_{est}');
                ylabel('T / Nm');
				grid on; zoom on;
                hold on;
            subplot(2,1,2);
                plot(t,psi_s_soll(:,1),t,hyster_psi_oben(:,1),t,hyster_psi_unten(:,1),t,psi_s_est(:,1));
				title('hysteresis control of the stator flux \Psi_s')
                legend('\Psi_s^*', 'upper limit', 'lower limit', '\Psi_{s,est}','Location','SouthEast');
                ylabel('\Psi_s / Vs');
				xlabel('t / s');
                grid on; zoom on;

%% Sektorposition des Statorflusses
fig_sektor = figure('NumberTitle','off','name','sector position of the stattor flux');
                plot(t,sektor(:,1));
				title('sector position of the stator flux')
                legend('sector 1..6');
                ylabel('sector number');
                xlabel('t / s');
				grid on; zoom on;

%% Stotor-und Rotorflusstrajektorien
fig_trajekt_psi_s = figure('NumberTitle','off','name','flux trajectories');
            subplot(1,2,1);
                plot(psi_s(:,1),psi_s(:,2)); % XYPlot
                title('stator flux trajectory')
                xlabel('\Psi_{s\alpha}');
                ylabel('\Psi_{s\beta}');
				grid on; zoom on;
                hold on;
            subplot(1,2,2);                
                plot(psi_r(:,1),psi_r(:,2));
				title('rotor flux trajectory')
                xlabel('\Psi_{r\alpha}');
                ylabel('\Psi_{r\beta}');
                grid on; zoom on;
            